summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/taler-deployment-config-sign8
-rwxr-xr-xbootstrap-bluegreen3
2 files changed, 10 insertions, 1 deletions
diff --git a/bin/taler-deployment-config-sign b/bin/taler-deployment-config-sign
index bc3f222..0f6e082 100755
--- a/bin/taler-deployment-config-sign
+++ b/bin/taler-deployment-config-sign
@@ -1,6 +1,12 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+set -eu
base=$HOME
export PATH="$base/deployment":$PATH
+for f in ~/.config/taler/exchange/wire/*.unsigned.json; do
+ taler-exchange-wire -j "$(<"$f")" > "${f%.unsigned.json}.json"
+done
+
diff --git a/bootstrap-bluegreen b/bootstrap-bluegreen
index 491df30..fd70b37 100755
--- a/bootstrap-bluegreen
+++ b/bootstrap-bluegreen
@@ -46,6 +46,9 @@ for component in gnunet libmicrohttpd; do
fi
done
+git -C ~/gnunet checkout tags/taler-0.2.0
+git -C ~/gnunet libmicrohttpd tags/v0.9.52
+
for component in bank merchant gnurl landing exchange merchant-frontends deployment; do
if ! test -d $HOME/$component; then
git clone /var/git/$component.git